cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/transactions?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate_transactions(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificateTransactions('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificateTransactions(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificateTransactionList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificateTransactionList> response = client.giftCertificates().getGiftCertificateTransactions(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateTransactionsAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificateTransactions(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificateTransactions(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Gift certificates
List a gift certificate's transactions
Lists the balance movements of a gift certificate, one page at a time.
GET
/
gift_certificates
/
{gc_id}
/
transactions
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/transactions?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.gift_certificates.get_gift_certificate_transactions(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.getGiftCertificateTransactions('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->getGiftCertificateTransactions(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificateTransactionList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificateTransactionList> response = client.giftCertificates().getGiftCertificateTransactions(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.GetGiftCertificateTransactionsAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.getGiftCertificateTransactions(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().GetGiftCertificateTransactions(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}The records are under
data, each with a type, amount, date and status. A new certificate has one transaction, of type initial.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The gift certificate's id.
Query Parameters
The most records to return on one page.
Example:
20
The next_cursor from the previous page, to fetch the page after it.
The field to sort by. Prefix it with - to sort in descending order.
Example:
"-created_on"